Package com.google.android.exoplayer2.upstream

## Class DefaultDataSourceFactory

- java.lang.Object
- - com.google.android.exoplayer2.upstream.DefaultDataSourceFactory

- All Implemented Interfaces:
    `DataSource.Factory`

      @Deprecated
      public final class DefaultDataSourceFactory
      extends Object
      implements DataSource.Factory

  Deprecated.
  Use `DefaultDataSource.Factory` instead.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultDataSourceFactory​(Context context)` | Deprecated. Creates an instance.
    `DefaultDataSourceFactory​(Context context, DataSource.Factory baseDataSourceFactory)` | Deprecated. Creates an instance.
    `DefaultDataSourceFactory​(Context context, TransferListener listener, DataSource.Factory baseDataSourceFactory)` | Deprecated. Creates an instance.
    `DefaultDataSourceFactory​(Context context, String userAgent)` | Deprecated. Creates an instance.
    `DefaultDataSourceFactory​(Context context, String userAgent, TransferListener listener)` | Deprecated. Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DefaultDataSource` | `createDataSource()` | Deprecated. Creates a `DataSource` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDataSourceFactory

          public DefaultDataSourceFactory​(Context context)

      Deprecated.
      Creates an instance.
      Parameters:
        `context` - A context.

    - #### DefaultDataSourceFactory

          public DefaultDataSourceFactory​(Context context,
                                          @Nullable
                                          String userAgent)

      Deprecated.
      Creates an instance.
      Parameters:
        `context` - A context.
        `userAgent` - The user agent that will be used when requesting remote data, or `null` to use the default user agent of the underlying platform.

    - #### DefaultDataSourceFactory

          public DefaultDataSourceFactory​(Context context,
                                          @Nullable
                                          String userAgent,
                                          @Nullable
                                          TransferListener listener)

      Deprecated.
      Creates an instance.
      Parameters:
        `context` - A context.
        `userAgent` - The user agent that will be used when requesting remote data, or `null` to use the default user agent of the underlying platform.
        `listener` - An optional listener.

    - #### DefaultDataSourceFactory

          public DefaultDataSourceFactory​(Context context,
                                          DataSource.Factory baseDataSourceFactory)

      Deprecated.
      Creates an instance.
      Parameters:
        `context` - A context.
        `baseDataSourceFactory` - A `DataSource.Factory` to be used to create a base `DataSource` for `DefaultDataSource`.
      See Also:
        `DefaultDataSource(Context, DataSource)`

    - #### DefaultDataSourceFactory

          public DefaultDataSourceFactory​(Context context,
                                          @Nullable
                                          TransferListener listener,
                                          DataSource.Factory baseDataSourceFactory)

      Deprecated.
      Creates an instance.
      Parameters:
        `context` - A context.
        `listener` - An optional listener.
        `baseDataSourceFactory` - A `DataSource.Factory` to be used to create a base `DataSource` for `DefaultDataSource`.
      See Also:
        `DefaultDataSource(Context, DataSource)`

  - ### Method Detail

    - #### createDataSource

          public DefaultDataSource createDataSource()

      Deprecated.
      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`